# Class UserParameterXMLParser

java.lang.Object
org.apache.jmeter.protocol.http.modifier.UserParameterXMLParser

@Deprecated public class UserParameterXMLParser extends Object
Deprecated.
This test element is deprecated. Test plans should use User Parameters instead.
Parse an XML file to obtain parameter name and value information for all users defined in the XML file.

## Constructor Summary

Constructors
Constructor
Description
`UserParameterXMLParser()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`List<Map<String,String>>`
`getXMLParameters(String xmlURI)`
Deprecated.
Parse all user parameter data defined in XML file.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserParameterXMLParser

public UserParameterXMLParser()
Deprecated.

## Method Details

### getXMLParameters

public List<Map<String,String>> getXMLParameters(String xmlURI) throws SAXException, IOException
Deprecated.
Parse all user parameter data defined in XML file.

Parameters:
  `xmlURI` - name of the XML to load users parameter data
Returns:
  all users name value pairs obtained from XML file
Throws:
  `SAXException` - when XML pointed to by `xmlURI` is not valid
  `IOException` - when XML pointed to by `xmlURI` can not be read